<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="15702" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="15704"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="Poppins-Regular.otf">
            <string>Poppins-Regular</string>
        </array>
        <array key="Poppins-SemiBold.otf">
            <string>Poppins-SemiBold</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="MovieListingVC" customModule="CineStool" customModuleProvider="target">
            <connections>
                <outlet property="btnClearSearch" destination="QaR-Ed-FfB" id="4Ug-M7-d8t"/>
                <outlet property="btnSearch" destination="DIk-Eb-LqF" id="c6G-AC-tQm"/>
                <outlet property="collectionMovies" destination="E5i-Dr-tgb" id="ug3-aA-kwv"/>
                <outlet property="heightSearchView" destination="N4e-7U-3sV" id="dTw-5P-eV2"/>
                <outlet property="lblHeaderTitle" destination="yL3-5d-e7f" id="BV6-nh-nI9"/>
                <outlet property="lblNoMovie" destination="WRQ-cJ-Hmk" id="QO9-ea-mrr"/>
                <outlet property="txtSearch" destination="Rl1-gg-wMg" id="S5m-fb-KsE"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
                <outlet property="viewSearch" destination="bXN-sP-SDJ" id="0C0-p2-cDd"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="1Gk-nE-6J8">
                    <rect key="frame" x="0.0" y="44" width="414" height="50"/>
                    <subviews>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="bXN-sP-SDJ">
                            <rect key="frame" x="71" y="5" width="272" height="40"/>
                            <subviews>
                                <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" placeholder="Search" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="Rl1-gg-wMg">
                                    <rect key="frame" x="12" y="0.0" width="233" height="40"/>
                                    <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                    <textInputTraits key="textInputTraits" autocorrectionType="no" spellCheckingType="no" returnKeyType="search" enablesReturnKeyAutomatically="YES"/>
                                    <connections>
                                        <outlet property="delegate" destination="-1" id="pno-u6-Dbw"/>
                                    </connections>
                                </textField>
                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="QaR-Ed-FfB">
                                    <rect key="frame" x="250" y="11" width="18" height="18"/>
                                    <constraints>
                                        <constraint firstAttribute="height" constant="18" id="CUD-Jg-M27"/>
                                        <constraint firstAttribute="width" constant="18" id="bI2-fm-nu6"/>
                                    </constraints>
                                    <color key="tintColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                    <state key="normal" image="close"/>
                                    <connections>
                                        <action selector="btnClearSearchAction:" destination="-1" eventType="touchUpInside" id="j3g-DB-OdZ"/>
                                    </connections>
                                </button>
                            </subviews>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="40" id="N4e-7U-3sV"/>
                                <constraint firstItem="Rl1-gg-wMg" firstAttribute="top" secondItem="bXN-sP-SDJ" secondAttribute="top" id="V9T-Ea-eF3"/>
                                <constraint firstItem="QaR-Ed-FfB" firstAttribute="centerY" secondItem="Rl1-gg-wMg" secondAttribute="centerY" id="VRz-td-zx7"/>
                                <constraint firstAttribute="trailing" secondItem="QaR-Ed-FfB" secondAttribute="trailing" constant="4" id="WVj-3b-sVX"/>
                                <constraint firstAttribute="bottom" secondItem="Rl1-gg-wMg" secondAttribute="bottom" id="bBq-eU-Zkb"/>
                                <constraint firstItem="QaR-Ed-FfB" firstAttribute="leading" secondItem="Rl1-gg-wMg" secondAttribute="trailing" constant="5" id="msm-jv-WgX"/>
                                <constraint firstItem="Rl1-gg-wMg" firstAttribute="leading" secondItem="bXN-sP-SDJ" secondAttribute="leading" constant="12" id="zI8-4U-8Cb"/>
                            </constraints>
                            <userDefinedRuntimeAttributes>
                                <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                    <real key="value" value="20"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="number" keyPath="shadowRadius">
                                    <real key="value" value="5"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="number" keyPath="shadowOpacity">
                                    <real key="value" value="0.5"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="size" keyPath="shadowOffset">
                                    <size key="value" width="1" height="1"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="color" keyPath="shadowColor">
                                    <color key="value" red="0.55056633450000003" green="0.62479418679999998" blue="0.66666668650000005" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </userDefinedRuntimeAttribute>
                            </userDefinedRuntimeAttributes>
                        </view>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Search" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="yL3-5d-e7f">
                            <rect key="frame" x="180.5" y="15" width="53.5" height="20"/>
                            <fontDescription key="fontDescription" name="Poppins-SemiBold" family="Poppins" pointSize="17"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="mc5-9r-SM0">
                            <rect key="frame" x="10" y="2" width="46" height="46"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="46" id="ofm-si-4xJ"/>
                                <constraint firstAttribute="height" constant="46" id="w33-he-wa2"/>
                            </constraints>
                            <state key="normal" image="BackPink"/>
                            <userDefinedRuntimeAttributes>
                                <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                    <real key="value" value="20"/>
                                </userDefinedRuntimeAttribute>
                            </userDefinedRuntimeAttributes>
                            <connections>
                                <action selector="btnBackAction:" destination="-1" eventType="touchUpInside" id="2eq-Hw-reU"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleAspectFit" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="DIk-Eb-LqF">
                            <rect key="frame" x="351" y="0.5" width="55" height="49"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="55" id="kpR-fb-NU3"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <color key="tintColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <state key="normal" image="Search">
                                <color key="titleColor" red="0.035294117647058823" green="0.035294117647058823" blue="0.035294117647058823" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <connections>
                                <action selector="btnSearchAction:" destination="-1" eventType="touchUpInside" id="GaM-8S-ca9"/>
                            </connections>
                        </button>
                    </subviews>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstItem="DIk-Eb-LqF" firstAttribute="leading" secondItem="bXN-sP-SDJ" secondAttribute="trailing" constant="8" id="1xq-bb-hjN"/>
                        <constraint firstItem="bXN-sP-SDJ" firstAttribute="leading" secondItem="mc5-9r-SM0" secondAttribute="trailing" constant="15" id="20M-Ff-NoP"/>
                        <constraint firstItem="yL3-5d-e7f" firstAttribute="centerY" secondItem="1Gk-nE-6J8" secondAttribute="centerY" id="5KP-Al-cdd"/>
                        <constraint firstItem="mc5-9r-SM0" firstAttribute="leading" secondItem="1Gk-nE-6J8" secondAttribute="leading" constant="10" id="GKg-hd-i4J"/>
                        <constraint firstItem="mc5-9r-SM0" firstAttribute="centerY" secondItem="1Gk-nE-6J8" secondAttribute="centerY" id="H4v-Iv-Qrl"/>
                        <constraint firstItem="DIk-Eb-LqF" firstAttribute="centerY" secondItem="mc5-9r-SM0" secondAttribute="centerY" id="Lck-tb-cTg"/>
                        <constraint firstAttribute="height" constant="50" id="OfD-IL-44e"/>
                        <constraint firstItem="yL3-5d-e7f" firstAttribute="centerX" secondItem="1Gk-nE-6J8" secondAttribute="centerX" id="dJ0-Rh-4A2"/>
                        <constraint firstAttribute="trailing" secondItem="DIk-Eb-LqF" secondAttribute="trailing" constant="8" id="eYc-dH-FYc"/>
                        <constraint firstItem="bXN-sP-SDJ" firstAttribute="top" secondItem="1Gk-nE-6J8" secondAttribute="top" constant="5" id="fEn-US-TOx"/>
                    </constraints>
                </view>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Movies not available" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="WRQ-cJ-Hmk">
                    <rect key="frame" x="138.5" y="439.5" width="137" height="17.5"/>
                    <fontDescription key="fontDescription" name="Poppins-Regular" family="Poppins" pointSize="15"/>
                    <nil key="textColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <collectionView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" dataMode="none" translatesAutoresizingMaskIntoConstraints="NO" id="E5i-Dr-tgb">
                    <rect key="frame" x="0.0" y="94" width="414" height="802"/>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <collectionViewFlowLayout key="collectionViewLayout" minimumLineSpacing="10" minimumInteritemSpacing="10" id="QSk-eJ-nao">
                        <size key="itemSize" width="50" height="50"/>
                        <size key="headerReferenceSize" width="0.0" height="0.0"/>
                        <size key="footerReferenceSize" width="0.0" height="0.0"/>
                        <inset key="sectionInset" minX="0.0" minY="0.0" maxX="0.0" maxY="0.0"/>
                    </collectionViewFlowLayout>
                    <connections>
                        <outlet property="dataSource" destination="-1" id="1sU-Nr-ZoW"/>
                        <outlet property="delegate" destination="-1" id="hlL-tW-fRM"/>
                    </connections>
                </collectionView>
            </subviews>
            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstItem="E5i-Dr-tgb" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" id="Hnv-Iq-OhY"/>
                <constraint firstItem="WRQ-cJ-Hmk" firstAttribute="centerY" secondItem="i5M-Pr-FkT" secondAttribute="centerY" id="JIy-1P-qfL"/>
                <constraint firstItem="E5i-Dr-tgb" firstAttribute="top" secondItem="1Gk-nE-6J8" secondAttribute="bottom" id="aMZ-mL-yLl"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="1Gk-nE-6J8" secondAttribute="trailing" id="gu4-bD-8LG"/>
                <constraint firstItem="1Gk-nE-6J8" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" id="orU-hg-O8P"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="E5i-Dr-tgb" secondAttribute="trailing" id="pH7-p6-a2n"/>
                <constraint firstItem="WRQ-cJ-Hmk" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="ur1-qE-MEf"/>
                <constraint firstAttribute="bottom" secondItem="E5i-Dr-tgb" secondAttribute="bottom" id="xR7-kJ-1gC"/>
                <constraint firstItem="1Gk-nE-6J8" firstAttribute="top" secondItem="fnl-2z-Ty3" secondAttribute="top" id="yq4-K1-REY"/>
            </constraints>
            <viewLayoutGuide key="safeArea" id="fnl-2z-Ty3"/>
            <point key="canvasLocation" x="131.8840579710145" y="153.34821428571428"/>
        </view>
    </objects>
    <resources>
        <image name="BackPink" width="26.5" height="20.5"/>
        <image name="Search" width="24" height="24.5"/>
        <image name="close" width="24.5" height="24.5"/>
    </resources>
</document>
